commit:     53776758a39cc7e3363b0854c45c77c7bb701fcc
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  6 21:31:38 2021 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Mar  6 21:32:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53776758

gui-libs/gdk-pixbuf-loader-webp: bump to 0.0.2

Closes: https://bugs.gentoo.org/703864
Closes: https://bugs.gentoo.org/693062
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 gui-libs/gdk-pixbuf-loader-webp/Manifest           |  1 +
 .../gdk-pixbuf-loader-webp-0.0.2.ebuild            | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/gui-libs/gdk-pixbuf-loader-webp/Manifest 
b/gui-libs/gdk-pixbuf-loader-webp/Manifest
new file mode 100644
index 00000000000..492a1898328
--- /dev/null
+++ b/gui-libs/gdk-pixbuf-loader-webp/Manifest
@@ -0,0 +1 @@
+DIST gdk-pixbuf-loader-webp-0.0.2.tar.gz 8556 BLAKE2B 
ef7b316465a374b13bb6304721437e0469b4efa02bc5df92cac8c25681b92aa8211f189e2151acb771aea6885008b0e5721467d7b0219c93894ecbbe10142dfe
 SHA512 
6a838173f535687e0701b761cc4118f0648f3696177b473bdc9a9a36f9137cef35752239f190569f6168ec6180c5e023953271a0db226ed269a8b8a85d400907

diff --git 
a/gui-libs/gdk-pixbuf-loader-webp/gdk-pixbuf-loader-webp-0.0.2.ebuild 
b/gui-libs/gdk-pixbuf-loader-webp/gdk-pixbuf-loader-webp-0.0.2.ebuild
new file mode 100644
index 00000000000..55aa81bbf27
--- /dev/null
+++ b/gui-libs/gdk-pixbuf-loader-webp/gdk-pixbuf-loader-webp-0.0.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome2-utils meson multilib-minimal
+
+DESCRIPTION="WebP GDK Pixbuf Loader library"
+HOMEPAGE="https://github.com/aruiz/webp-pixbuf-loader";
+SRC_URI="https://github.com/aruiz/webp-pixbuf-loader/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/webp-pixbuf-loader-${PV}"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=">x11-libs/gdk-pixbuf-2.22.0:2[${MULTILIB_USEDEP}]
+       >media-libs/libwebp-0.4.3:=[${MULTILIB_USEDEP}]
+       "
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       # Drop handling of pixbuf cache update by upstream
+       sed -e '/query_loaders/d' -i meson.build || die
+}
+
+multilib_src_configure() {
+       meson_src_configure
+}
+
+multilib_src_compile() {
+       meson_src_compile
+}
+
+multilib_src_test() {
+       meson_src_test
+}
+
+multilib_src_install() {
+       meson_src_install
+}
+
+pkg_preinst() {
+       gnome2_gdk_pixbuf_savelist
+}
+
+pkg_postinst() {
+       # causes segfault if set, see bug 375615
+       unset __GL_NO_DSO_FINALIZER
+       multilib_foreach_abi gnome2_gdk_pixbuf_update
+}
+
+pkg_postrm() {
+       # causes segfault if set, see bug 375615
+       unset __GL_NO_DSO_FINALIZER
+       multilib_foreach_abi gnome2_gdk_pixbuf_update
+}

Reply via email to